using System;

internal sealed class Delegate800 : MulticastDelegate
{
	public extern double Invoke(object object_0);

	public static double smethod_0(object object_0, Delegate800 delegate800_1)
	{
		return delegate800_1(object_0);
	}

	public extern Delegate800(object object_0, IntPtr intptr_0);

	static Delegate800()
	{
		Class10.smethod_13(typeof(Delegate800).TypeHandle);
	}

	internal static Delegate800 delegate800_0;
}
